/* Reset e variáveis globais */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  /* Cores principais da identidade visual */
  --cor-primaria: #00793f;
  --cor-primaria-hover-claro: rgba(0, 121, 63, 0.1);
  --cor-primaria-hover: #0b5e37;
  --cor-secundaria: #373737;
  --cor-destaque-1: #fdba0f;
  --cor-destaque-2: #de3c8a;
  --white: #fff;
  --black: #000;

  /* Cores de texto */
  --cor-texto-principal: #6c757d;
  --cor-texto-escuro: #333;
  --cor-texto-claro: #fff;
  --cor-texto-secundario: #dedede;

  /* Cores neutras */
  --cor-fundo-claro: #f4f4f4;
  --cor-borda: #ced4da;
  --cor-neutro-medio: grey;

  /* Cores de alerta e destaque */
  --cor-aviso: #fdba0f; /* Amarelo */
  --cor-erro: red;
  /* --cor-sucesso: green;  Se for laranja mesmo, mas pode precisar outro nome */

  /* Efeitos visuais */
  --cor-sombra: rgba(0, 0, 0, 0.1);
  --cor-sombra-escura: rgba(0, 0, 0, 0.3);

  /* Cores de skeleton */
  --cor-skeleton-fundo: #f5f5f5;
  --cor-skeleton-borda: #c0c0c0;

  /* Cores de modal */
  --cor-modal-blocker: rgba(0, 0, 0, 0.5);
  --cor-modal-deletar: #ba2735;
  --cor-modal-aviso: #fbe87e;
  --cor-modal-cancelar-hover: #d3d4d5;
  --cor-modal-adicionar: #00793f;
}

body,
textarea {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  line-height: 1.5;
}

main {
  max-width: 1296px;
  padding: 0 20px;
  margin: 0 auto;
  width: 100%;
  padding-top: 1.25rem;
}

.container {
  width: 100%;
  max-width: 1296px;
  margin: 0 auto;
  padding: 0 15px;
}

/* Para Chrome, Safari e Edge */
@supports (-webkit-appearance: none) {
  .horizontal-scroll::-webkit-scrollbar {
    height: 16px;
  }

  .horizontal-scroll::-webkit-scrollbar-track {
    background: transparent;
    border-radius: 10px;
  }

  .horizontal-scroll::-webkit-scrollbar-thumb {
    background: var(--cor-destaque-1);
    border-radius: 10px;
    border: 4px solid transparent;
    background-clip: padding-box;
  }
}

/* Para Firefox */
@-moz-document url-prefix() {
  .horizontal-scroll {
    scrollbar-width: thin;
    scrollbar-color: var(--cor-destaque-1) transparent;
  }
}

/* Spinner global */
.spinner {
  display: none;
  width: 18px;
  height: 18px;
  border: 4px solid #f3f3f3;
  border-top: 4px solid var(--cor-primaria);
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* Links */
a {
  text-decoration: none;
  color: inherit;
}

/* Imagens */
img {
  max-width: 100%;
  height: auto;
}

/* Estilo da scrollbar vertical global  */
::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-track {
  background: var(--cor-primaria);
}

::-webkit-scrollbar-thumb {
  background: var(--cor-destaque-1);
  border-radius: 4px;
  cursor: pointer;
}

@keyframes zoomIn {
  from {
    transform: scale(0.8);
    opacity: 0;
  }
  to {
    transform: scale(1);
    opacity: 1;
  }
}

@keyframes zoomOut {
  from {
    transform: scale(1);
    opacity: 1;
  }
  to {
    transform: scale(0.8);
    opacity: 0;
  }
}
